Summary: Microcode for the Intel Wireless WiFi Link 4965AGN
Name: iwlwifi-4965-ucode
Version: 228.57.2.23
Release: 7%{?dist}
License: distributable
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/?p=iwlwifi
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-4965.ucode provided in this package is required to be
present on your system in order for the Intel Wireless WiFi Link
4965AGN driver for Linux (iwlwifi) to be able to operate on your
system.

On adapter initialization, and at varying times during the uptime of 
the adapter, the microcode is loaded into the RAM on the network 
adapter.  The microcode provides the low level MAC features including 
radio control and high precision timing events (backoff, transmit, 
etc.) while also providing varying levels of packet filtering which can 
be used to keep the host from having to handle packets that are not of 
interest given the current operating mode of the device.

This packages contains all releases of the firmware up to version %{version},
as well as their respective README documents.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.ucode  %{buildroot}/lib/firmware/
install -p LICENSE* %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*

%changelog
* Thu Feb 12 2009 Troy Dawson <dawson@fnal.gov> - 228.57.2.23-7
- Update to 228.57.2.23

* Wed Aug 20 2008 Troy Dawson <dawson@fnal.gov> - 228.57.2.21-6
- Update to 228.57.2.21
- Added older firmwares as well, it now has iwlwifi-4965-2.ucode
  iwlwifi-4965-1.ucode, and iwlwifi-4965.ucode
- Added the README's to go along with the older firmwares

* Tue Jul 31 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.44.17-5
- Update to 4.44.17.

* Fri Jun 15 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.44.15-4
- Update to 4.44.15.

* Thu Jun 14 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.44.14-3
- iwlwifi-4965-ucode-4.44.14

* Mon May 28 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.3-1
- Update to 2.14.3.

* Tue Feb 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.1-1
- Initial build.
